| Version: 3.2.5

Classes | Macros | Functions | Variables
textdlg.h File Reference

## Classes

class | wxPasswordEntryDialog
| This class represents a dialog that requests a one-line password string from the user. More...
class | wxTextEntryDialog
| This class represents a dialog that requests a one-line text string from the user. More...

## Macros

#define | wxTextEntryDialogStyle (wxOK | wxCANCEL | wxCENTRE)
| Default text dialog style. More...

## Functions

wxString | wxGetTextFromUser (const wxString &message, const wxString &caption=wxGetTextFromUserPromptStr, const wxString &default_value=wxEmptyString, wxWindow *parent=NULL, int x=wxDefaultCoord, int y=wxDefaultCoord, bool centre=true)
| Pop up a dialog box with title set to caption, `message`, and a `default_value`. More...
wxString | wxGetPasswordFromUser (const wxString &message, const wxString &caption=wxGetPasswordFromUserPromptStr, const wxString &default_value=wxEmptyString, wxWindow *parent=NULL, int x=wxDefaultCoord, int y=wxDefaultCoord, bool centre=true)
| Similar to wxGetTextFromUser() but the text entered in the dialog is not shown on screen but replaced with stars. More...

## Variables

const char | wxGetTextFromUserPromptStr [] = "Input Text"
| Default text dialog caption. More...
const char | wxGetPasswordFromUserPromptStr [] = "Enter Password"
| Default password dialog caption. More...

## Macro Definition Documentation

## ◆ wxTextEntryDialogStyle

#define wxTextEntryDialogStyle (wxOK | wxCANCEL | wxCENTRE)

Default text dialog style.

## Variable Documentation

## ◆ wxGetPasswordFromUserPromptStr

const char wxGetPasswordFromUserPromptStr[] = "Enter Password"

Default password dialog caption.

## ◆ wxGetTextFromUserPromptStr

const char wxGetTextFromUserPromptStr[] = "Input Text"

Default text dialog caption.